diff --git a/web/pgadmin/help/__init__.py b/web/pgadmin/help/__init__.py
index 5d2e8a8..e6d53f5 100644
--- a/web/pgadmin/help/__init__.py
+++ b/web/pgadmin/help/__init__.py
@@ -43,7 +43,15 @@ class HelpModule(PgAdminModule):
                      priority=300,
                      target='_blank',
                      icon='fa fa-external-link',
-                     url='http://www.postgresql.org/')]}
+                     url='http://www.postgresql.org/'),
+
+            MenuItem(name='submit_pgadmin_bug',
+                     label=gettext('Submit Bug Report'),
+                     priority=400,
+                     target='_blank',
+                     icon='fa fa-bug',
+                     url=
+                     'https://redmine.postgresql.org/projects/pgadmin4/issues/new')]}
 
     def get_panels(self):
         return [
@@ -69,8 +77,16 @@ class HelpModule(PgAdminModule):
                 content='http://www.postgresql.org/'),
 
             Panel(
-                name='pnl_sql_help',
+                name='pnl_submit_bug',
                 priority=400,
+                title=gettext('Submit Bug Report'),
+                icon='fa fa-bug',
+                content=
+                'https://redmine.postgresql.org/projects/pgadmin4/issues/new'),
+
+            Panel(
+                name='pnl_sql_help',
+                priority=500,
                 isPrivate=True,
                 icon='fa fa-info',
                 title=gettext('SQL Help'))]
